function RelatorioConsolidadoDeTarefasController(General, templateManager, CRM_Utilities, ScreenService, Utilities) {
  
  this.readOnlyOperNeg = function(widget){
        var parcneg = widget.getField('NRPARCNEGOCIO');
        var operador = widget.getField('CDOPERADOR');
        var tipo = widget.getField('TIPO');
        widget.getField('TIPO').dataSource.data  = [];
        if(widget.currentRow.AGRUPOR == 'OPERADOR'){
            operador.readOnly = false;
            parcneg.readOnly = true;
            parcneg.clearValue();
            var data = [
                {
                    "TIPO": "OPORTUNIDADE",
                    "DESC": "Oportunidade"
                },
                {
                    "TIPO": "CHAMADO",
                    "DESC": "Ticket"
                },
                {
                    "TIPO": "PARCEIRO",
                    "DESC": "Parceiro"
                }
            ];
            widget.getField('TIPO').dataSource.data = data;
        } else {
            widget.getField('TIPO').dataSource.data  = [];
            parcneg.readOnly = false;
            operador.readOnly = true;
            operador.clearValue();
            var data = [
                {
                    "TIPO": "OPORTUNIDADE",
                    "DESC": "Oportunidade"
                },
                {
                    "TIPO": "CHAMADO",
                    "DESC": "Ticket"
                }
            ];
            widget.getField('TIPO').dataSource.data = data;
        }
        
        tipo.readOnly = false; 
         
        setTimeout(function() {
            $(window).resize();            
        }, 200);
    };
        
  
    this.alteraGrid = function (args) {
        var widget = args.owner;
        if(args.e.preference.FILTER_ROW.AGRUPOR == 'OPERADOR'){
            widget.getField('NMPRINCIPALPARC').isVisible = false;
            widget.getField('NMOPERADOR').isVisible = true;
            widget.getField('NMOPERADOR').showOnList = true;
        } else {
             widget.getField('NMOPERADOR').isVisible = false;
             widget.getField('NMPRINCIPALPARC').isVisible = true;
             widget.getField('NMPRINCIPALPARC').isVisible = true;
             widget.getField('NMPRINCIPALPARC').showOnList = true;
             widget.currentRow.NMOPERADOR = "";
        }
        
        // tipo.readOnly = false; 
        setTimeout(function() {
            $(window).resize();            
        }, 200);
    };
        
    this.setFilterRelacionadoA = function(widget) {
        var NRSEQCONTATOField = widget.getField('NRSEQCONTATO');
        var tipoField = widget.getField('TIPO');

        if (!Util.isEmptyOrBlank(tipoField.value())) {
            NRSEQCONTATOField.dataSourceFilter.forEach(function(filter) {
                if (filter.name === "SEPARADOR")
                    filter.value = tipoField.value();
            });
            NRSEQCONTATOField.readOnly = false;
        }
        else {
            NRSEQCONTATOField.readOnly = true;
        }
    };

    this.activateFieldDescricao = function(widget, field, decisiveField) {
        if(widget){
            var NRSEQCONTATO = widget.getField('NRSEQCONTATO');
            if (!Util.isEmptyOrBlank(NRSEQCONTATO)) {
                NRSEQCONTATO.readOnly = false;
                var value = widget.getField('TIPO').value();
                switch (value) {
                    case 'PARCEIRO':
                        NRSEQCONTATO.label = 'Parceiro'; 
                    widget.currentRow.NRSEQCONTATO = "";
                    widget.currentRow.NRSEQCONTATO ="";
                        break;
                    case 'CHAMADO':
                        NRSEQCONTATO.label = 'Ticket';
                    widget.currentRow.NRSEQCONTATO = "";
                    widget.currentRow.NRSEQCONTATO ="";
                        break;
                    case 'OPORTUNIDADE':
                        NRSEQCONTATO.label = 'Oportunidade';
                    widget.currentRow.NRSEQCONTATO = "";
                    widget.currentRow.NRSEQCONTATO ="";
                        break;
                    default:
                        NRSEQCONTATO.label = 'Código';
                    widget.currentRow.NRSEQCONTATO = "";
                    widget.currentRow.NRSEQCONTATO ="";
                        NRSEQCONTATO.readOnly = true;
                        break;
                }
                
            }
            else {
                NRSEQCONTATO.readOnly = true;
                NRSEQCONTATO.label = 'Código';
                widget.currentRow.NRSEQCONTATO = null;
                widget.currentRow.NRCONTATO = null;
                widget.currentRow.NRSEQCONTATO = "";
            }
           
        }

    };
  
        
}
Configuration(function(ContextRegister) {
    ContextRegister.register('RelatorioConsolidadoDeTarefasController', RelatorioConsolidadoDeTarefasController);
});